apiVersion: v1
kind: Service
metadata:
  name: {{ include "database-service.service.name" . }}
  namespace: {{ include "database-service.namespace" . }}
  labels:
    {{- include "database-service.labels" . | nindent 4 }}
    app.kubernetes.io/component: {{ .Chart.Name }}
spec:
  ports:
    - name: "api"
      port: {{ .Values.ports.apiTarget }}
      targetPort: {{ .Values.ports.apiTarget }}
  selector:
    {{- include "database-service.selector.labels" . | nindent 4 }}
    app.kubernetes.io/component: {{ .Chart.Name }}
  type: ClusterIP
